Bug 166274 - when Selinux is disabled, /etc/fstab still has selinux mount parameters for removable media
when Selinux is disabled, /etc/fstab still has selinux mount parameters for r...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
4
All Linux
medium Severity high
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-18 12:14 EDT by Edward Rudd
Modified: 2013-03-05 22:44 EST (History)
1 user (show)

See Also:
Fixed In Version: f8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-29 11:20:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edward Rudd 2005-08-18 12:14:51 EDT
Description of problem:
When selinux is disabled the /etc/fstab "managed" removable media devices still
have the selinux fscontext mount parameter on them, which causes mount to fail
to mount removable media.

Selinux was disabled by editing /etc/selinux/config and setting SELINUX=disabled

either the fscontext parameters should be ignored when SElinux is disabled OR
kudzu should update the fstab and remove the fscontext option when selinux is
disabled.
Comment 1 Christian Iseli 2007-01-19 19:43:31 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Edward Rudd 2007-11-29 11:20:12 EST
Can not recreate in Fedora 8 (nor Fedora 7 for that matter)

Closing bug.

Note You need to log in before you can comment on or make changes to this bug.